# TODO: use gtk4-update-icon-cache
#
# Conditional build:
%bcond_without	webkit		# WebKitGtk support

Summary:	The GNOME port of dialog
Summary(pl.UTF-8):	Port programu dialog dla GNOME
Name:		zenity
Version:	4.0.0
Release:	1
License:	LGPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/zenity/4.0/%{name}-%{version}.tar.xz
# Source0-md5:	d1b11169eeaf8552bb9b85d154684284
URL:		https://wiki.gnome.org/Projects/Zenity
BuildRequires:	gettext-tools >= 0.19.4
%{?with_webkit:BuildRequires:	gtk-webkit6-devel >= 2.40}
BuildRequires:	libadwaita-devel >= 1.2
BuildRequires:	meson >= 0.57.0
BuildRequires:	ninja >= 1.5
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
%{?with_webkit:Requires:	gtk-webkit6 >= 2.40}
Requires:	hicolor-icon-theme
Requires:	libadwaita >= 1.2
Conflicts:	gnome-utils < 2.3.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
zenity is a rewrite of gdialog, the GNOME port of dialog which allows
you to display dialog boxes from the commandline and shell scripts.

%description -l pl.UTF-8
zenity jest kontynuacją programu gdialog, portu programu dialog dla
GNOME. Umożliwia on wyświetlanie okien dialogowych z linii poleceń i
ze skryptów powłoki.

%prep
%setup -q

%build
%meson build \
	%{?with_webkit:-Dwebkitgtk=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/zenity
%{_desktopdir}/org.gnome.Zenity.desktop
%{_iconsdir}/hicolor/48x48/apps/zenity.png
%{_mandir}/man1/zenity.1*
%changelog
* Sun Dec 10 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zenity.git;a=log;h=master

* Sat Dec 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 0d1e7c2
- updated to 4.0.0

* Fri Aug 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 69c6a44
- updated to 3.44.2

* Sat May 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 9dd8d08
- updated to 3.44.1; uses gtk-webkit4.1 now

* Wed Apr 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 12ccde3
- updated to 3.42.1

* Sat Apr 02 2022 Jakub Bogusz <qboosh@pld-linux.org> 83f1b93
- updated to 3.42.0

* Sat May 16 2020 Jan Palus <atler@pld-linux.org> 5966d3a
- macros for __enable_disable

* Sat May 02 2020 Jan Palus <atler@pld-linux.org> bb2330b
- add webkit bcond

* Wed Sep 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 04fb390
- updated to 3.32.0

* Tue Oct 23 2018 Jan Palus <atler@pld-linux.org> 5c4b885
- up to 3.30.0

* Wed Apr 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 349dedb
- gettext-tools version

* Tue Mar 21 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 9ef3757
- Update to 3.24.0

* Sat Mar 26 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 95f5af7
- Update to 3.20.0

* Sun Oct 18 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 401815e
- Update to 3.18.1.1

* Wed Jul 01 2015 Marcin Banasiak <marcin.banasiak@gmail.com> d354c02
- Update to 3.16.3

* Thu May 14 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 8b67493
- Update to 3.16.2

* Sun Mar 29 2015 Jan Palus <atler@pld-linux.org> a69901f
- up to 3.14.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 58868f8
- updated gettext BR

* Sat Apr 26 2014 Marcin Banasiak <marcin.banasiak@gmail.com> b861258
- Update to 3.12.1

* Thu Mar 28 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 5ddd1b2
- Update to 3.8.0

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 9a2bc6a
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

